Skip to main content
GET
/
v2
/
approval-requests
/
{approval_request_id}
/
steps
/
{step_id}
Get Approval Request Step
curl --request GET \
  --url https://public.api.serval.com/v2/approval-requests/{approval_request_id}/steps/{step_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "stepNumber": 123,
    "result": "APPROVAL_REQUEST_RESULT_UNSPECIFIED",
    "resolutions": [
      {
        "id": "<string>",
        "approverUserId": "<string>",
        "approverType": "APPROVAL_REQUEST_USER_TYPE_UNSPECIFIED",
        "result": "APPROVAL_REQUEST_RESULT_UNSPECIFIED",
        "resultSetAt": "2023-11-07T05:31:56Z",
        "autoApproved": true
      }
    ],
    "configuredApproverSources": [
      {
        "type": "CONFIGURED_APPROVER_SOURCE_TYPE_UNSPECIFIED",
        "id": "<string>"
      }
    ],
    "customWorkflowRun": {
      "approverAssignment": {
        "reason": "<string>"
      },
      "runId": "<string>",
      "status": "WORKFLOW_RUN_STATUS_UNSPECIFIED"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

approval_request_id
string
required

The ID of the approval request.

step_id
string
required

The ID of the approval step.

Response

Success

data
data · object

A runtime approval step with inline approver resolutions.